Lucid AMIs have no ramdisk and break landscape-client

Bug #574810 reported by Andreas Hasenack on 2010-05-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
High
Thomas Herve
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

For some reason, the lucid AMIs have no ramdisk:

andreas@nsn2:~$ ec2-describe-images --region eu-west-1 ami-cf4d67bb
IMAGE ami-cf4d67bb 099720109477/ubuntu-images/ubuntu-lucid-10.04-i386-server-20100427.1 099720109477 available public i386 machine aki-c34d67b7 instance-store

Compare with the karmic AMI, for example:

andreas@nsn2:~$ ec2-describe-images --region eu-west-1 ami-9a2a01ee
IMAGE ami-9a2a01ee ubuntu-images-eu/ubuntu-karmic-9.10-amd64-server-20091027.1.manifest.xml 099720109477 available public x86_64 machine aki-a22a01d6 ari-ac2a01d8 instance-store

This breaks the client, because it gets a 404 when trying to get the ramdisk id:

root@ip-10-130-34-191:~# curl http://169.254.169.254/latest/meta-data/ramdisk-id
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
  <title>404 - Not Found</title>
 </head>
 <body>
  <h1>404 - Not Found</h1>
 </body>
</html>
root@ip-10-130-34-191:~#

Here is a list of what is available at that url:

root@ip-10-130-34-191:~# curl http://169.254.169.254/latest/meta-data/ ; echo
ami-id
ami-launch-index
ami-manifest-path
block-device-mapping/
hostname
instance-action
instance-id
instance-type
kernel-id
local-hostname
local-ipv4
placement/
public-hostname
public-ipv4
public-keys/
reservation-id
security-groups
root@ip-10-130-34-191:~#

This is the backtrace the client gets:

2010-05-03 22:00:47,157 INFO [MainThread] Broker started with config /etc/landscape/client.conf
2010-05-03 22:00:47,225 ERROR [MainThread] Got error while fetching meta-data: <HTTPCodeError http_code=404>
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py", line 210, in _worker
    result = context.call(ctx, function, *args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 59, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 37, in callWithContext
    return func(*args,**kw)
  File "/usr/lib/python2.6/dist-packages/landscape/lib/fetch.py", line 98, in fetch
    raise HTTPCodeError(http_code, body)
HTTPCodeError: Server returned HTTP code 404

Jamu Kakar (jkakar) wrote :

Scott, I think you're probably the right person to assign this to.
If not, please unassign.

Andreas Hasenack (ahasenack) wrote :

Note that the Lucid AMI boot just fine, and work. I don't know why they don't have a ramdisk nor how it works without one, unless the kernel has all the drivers.

Andreas Hasenack (ahasenack) wrote :

Scott said that this is a feature, the kernel can mount the root filesystem and doesn't need a ramdisk. We should fix landscape-client.

Thomas Herve (therve) on 2010-05-04
Changed in landscape-client:
assignee: nobody → Thomas Herve (therve)
Thomas Herve (therve) on 2010-05-05
Changed in landscape-client:
status: New → In Progress
Changed in landscape-client:
milestone: 1.5.1 → 1.5.2
Thomas Herve (therve) on 2010-05-11
Changed in landscape-client:
status: In Progress → Fix Committed
tags: added: needs-testing
Changed in landscape-client:
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Released → Fix Committed

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Maverick):
status: New → In Progress
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.10.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.

landscape-client (1.5.0.1-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Andreas Hasenack (ahasenack) wrote :

Confirmed fixed.

tags: removed: needs-testing
Martin Pitt (pitti) wrote :

Maverick has a newer version, assuming it's fixed there.

tags: added: verification-done
removed: verification-needed
Changed in landscape-client (Ubuntu Maverick):
status: In Progress → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers